Download it now!
Bug 128169 - pizza of death if desktop selected as destination for export/save as with a password to open
Summary: pizza of death if desktop selected as destination for export/save as with a p...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.6.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-16 08:23 UTC by skyhook
Modified: 2020-03-19 16:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description skyhook 2019-10-16 08:23:29 UTC
Description:
First noted: exporting passworded PDF invokes pizza of death if "Desktop" selected in dialogue. 

Other directories behave. Safe mode passes profile test but behaviour changes, and pizza of death invokes with "Export" button after creating password, doesn't make it to file system dialogue box. Further testing seems to confirm any "Save as" also pizzas if selecting Desktop. No other odd desktop behaviour noted with other applications or file system. 

Steps to Reproduce:
1. File/Export as/Export as PDF/Security tab/add password/Export button
or
2.File/Save as…/select desktop from folder list

Actual Results:
pizza of death, need to force-quit

Expected Results:
navigate file system dialogue box


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Render the directory/file save dialogue, for interaction. 

Version: 6.2.6.2
Build ID: 684e730861356e74889dfe6dbddd3562aae2e6ad
CPU threads: 2; OS: Mac OS X 10.11.6; UI render: default; VCL: osx; 
Locale: en-US (en.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Julien Nabet 2019-10-16 09:03:54 UTC
Could you give a try to 6.2.7 or brand new 6.3.2?
Comment 2 Alex Thurgood 2019-10-16 10:30:57 UTC
No repro with

Version: 6.3.1.2
Build ID: b79626edf0065ac373bd1df5c28bd630b4424273
Threads CPU : 8; OS : Mac OS X 10.14.6; UI Render : par défaut; VCL: osx; 
Locale : fr-FR (fr_FR.UTF-8); Langue IHM : fr-FR
Calc: threaded
Comment 3 Alex Thurgood 2019-10-16 10:33:06 UTC
No repro with

Version: 6.2.7.1
Build ID: 23edc44b61b830b7d749943e020e96f5a7df63bf
Threads CPU : 8; OS : Mac OS X 10.14.6; UI Render : par défaut; VCL: osx; 
Locale : fr-FR (fr_FR.UTF-8); Langue IHM : fr-FR
Calc: threaded
Comment 4 Alex Thurgood 2019-10-16 10:35:27 UTC
@skyhook :

I only specified a password for the opening of the file, and left the edit password field blank when I exported. Does this correspond to what you did ?
Comment 5 Alex Thurgood 2019-10-16 10:37:08 UTC
Specific to macOS 10.11 ?
Comment 6 skyhook 2019-10-17 01:30:40 UTC
- installed/tested 6.2.7.1 (latest stable) same behaviour
- won't defend OS 10.11.x, best HW I can afford deprecated by apple (half the age of my previous desktop computer)
- I think I can safely drop PDF contingency; same pizza with any file to desktop favorite selection. I was only applying an open password with confirmation, not permission password


So, no repro on alternate 6.2.7.1 means end of curiousity, correct? I have no idea how anything related to the file system could be application specific, having no problems with other apps, but I save to the desktop all the time and was surprised by this pizza. 

Is it my choice to close this?
Comment 7 Alex Thurgood 2019-10-17 11:11:20 UTC
@skyhook: up to you, you could just leave it for a while in unconfirmed state.

I sincerely doubt that any dev is going to look at bugs that might be specific to an OS version that is EOL / no longer supported, unless they also happen to occur in currently supported versions.

What you are describing does ring a bell, perhaps it was already reported a while ago, in which case your report would be DUP. Still unlikely to be fixed though.
Comment 8 Alex Thurgood 2019-10-17 11:19:25 UTC
@skyhook: what does your Writer document contain ? Anything in particular ? Ideally, we would prefer a sample Writer document with which to test.
Comment 9 skyhook 2019-10-19 02:50:56 UTC
Yes about slowly vanishing; not keeping my hopes up. Original doc is 40 pages formatted text. I created a new text file with a sentence and it also pizza'd into a force quit, when selecting the desktop favorite in the navigation/export dialogue. 

Unfortunately, with a workaround to just drop it somewhere else, I'm also not highly motivated to understand this better, so you can see where this is headed. If it's up to me to change the status to RESOLVED, then perhaps I'll let it stew for a couple of weeks. Should that period end with an UNCONFIRMED without new input, so to speak?
Comment 10 skyhook 2019-10-19 02:51:40 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2019-10-20 02:34:24 UTC Comment hidden (obsolete)
Comment 12 Alex Thurgood 2019-10-25 07:01:03 UTC
FWIW, I am experiencing this generally without needing to specify a password on Catalina macOS 10.15. (any attempt to "Save as" or "Export")

What I see there is independent of any folder.

See for example bug 128233
Comment 13 Alex Thurgood 2019-10-25 07:05:14 UTC
(In reply to Alex Thurgood from comment #12)
> FWIW, I am experiencing this generally without needing to specify a password
> on Catalina macOS 10.15. (any attempt to "Save as" or "Export")
> 
> What I see there is independent of any folder.
> 
> See for example bug 128233

My repro yesterday on a work macMini with macOS 10.15 was by trying to save a Writer document as PDF. Also tried export to PDF. I suspect that these problems are specific to Catalina, as I have no such problems on a different, Mojave-based machine.

It could be that your problem and mine are similar to the extent that they might be defined by an Apple security policy.
Comment 14 Roman Kuznetsov 2019-10-26 16:15:32 UTC
(In reply to Alex Thurgood from comment #13)
> (In reply to Alex Thurgood from comment #12)
> > FWIW, I am experiencing this generally without needing to specify a password
> > on Catalina macOS 10.15. (any attempt to "Save as" or "Export")
> > 
> > What I see there is independent of any folder.
> > 
> > See for example bug 128233
> 
> My repro yesterday on a work macMini with macOS 10.15 was by trying to save
> a Writer document as PDF. Also tried export to PDF. I suspect that these
> problems are specific to Catalina, as I have no such problems on a
> different, Mojave-based machine.
> 
> It could be that your problem and mine are similar to the extent that they
> might be defined by an Apple security policy.

no problem with export to password protected PDF here

Version: 6.4.0.0.alpha1+
Build ID: 706afd3e765e98489a2b43934a259626f9f0be01
CPU threads: 4; OS: Mac OS X 10.15; UI render: default; VCL: osx; 
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 15 Alex Thurgood 2019-11-06 09:45:15 UTC
(In reply to Roman Kuznetsov from comment #14)


> no problem with export to password protected PDF here
> 
> Version: 6.4.0.0.alpha1+
> Build ID: 706afd3e765e98489a2b43934a259626f9f0be01
> CPU threads: 4; OS: Mac OS X 10.15; UI render: default; VCL: osx; 
> Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
> Calc: threaded

Yes, I have removed the DUP that was originally set on my bug to this report, as it turns out that my problems result from the use of parallel installations of different versions of LO.
Comment 16 Timur 2020-03-19 16:46:18 UTC
Looks like it's time to close this. Didn't test myself. 
We have no new info and hardly to expect.